#!/bin/sh -f
export CASROOT=/usr/share/opencascade

OS_NAME=`uname`

export OCCT3RDPARTY=$CASROOT/../3rdparty

if [ ! -n $TCLHOME ]; then export TCLHOME=$OCCT3RDPARTY/tcltk ; fi
if [ ! -n $FTGLDIR ]; then export FTGLDIR=$OCCT3RDPARTY/ftgl ; fi
if [ ! -n $GL2PSDIR ]; then export GL2PSDIR=$OCCT3RDPARTY/gl2ps ; fi
if [ ! -n $FREEIMAGEDIR ]; then export FREEIMAGEDIR=$OCCT3RDPARTY/freeimage ; fi
if [ ! -n $TBBBIN ]; then export TBBBIN=$OCCT3RDPARTY/tbb/bin ; fi
if [ ! -n $TBBLIB ]; then export TBBBIN=$OCCT3RDPARTY/tbb/lib64 ; fi

if [ -z "PATH" ];
then PATH=$TCLHOME/bin:$FTGLDIR/bin:$GL2PSDIR/bin:$FREEIMAGEDIR/bin:$TBBBIN:$CASROOT/bin;
else PATH=$TCLHOME/bin:$FTGLDIR/bin:$GL2PSDIR/bin:$FREEIMAGEDIR/bin:$TBBBIN:$CASROOT/bin:$PATH;
fi
export PATH
if [ -z "LD_LIBRARY_PATH" ];
then LD_LIBRARY_PATH=$TCLHOME/lib64:$FTGLDIR/lib64:$GL2PSDIR/lib64:$FREEIMAGEDIR/lib64:$TBBBIN:$CASROOT/lib64;
else LD_LIBRARY_PATH=$TCLHOME/lib64:$FTGLDIR/lib64:$GL2PSDIR/lib64:$FREEIMAGEDIR/lib64:$TBBBIN:$CASROOT/lib64:$LD_LIBRARY_PATH;
fi
export LD_LIBRARY_PATH
export CSF_MDTVFontDirectory=$CASROOT/share/opencascade/src/FontMFT
export CSF_LANGUAGE=us
export MMGT_CLEAR=1
export CSF_EXCEPTION_PROMPT=1
export CSF_SHMessage=$CASROOT/share/opencascade/src/SHMessage
export CSF_MDTVTexturesDirectory=$CASROOT/share/opencascade/src/Textures
export CSF_XSMessage=$CASROOT/share/opencascade/src/XSMessage
export CSF_StandardDefaults=$CASROOT/share/opencascade/src/StdResource
export CSF_PluginDefaults=$CASROOT/share/opencascade/src/StdResource
export CSF_XCAFDefaults=$CASROOT/share/opencascade/src/StdResource
export CSF_StandardLiteDefaults=$CASROOT/share/opencascade/src/StdResource
export CSF_GraphicShr=$CASROOT/lib64/lib64TKOpenGl.so
export CSF_UnitsLexicon=$CASROOT/share/opencascade/src/UnitsAPI/Lexi_Expr.dat
export CSF_UnitsDefinition=$CASROOT/share/opencascade/src/UnitsAPI/Units.dat
export CSF_IGESDefaults=$CASROOT/share/opencascade/src/XSTEPResource
export CSF_STEPDefaults=$CASROOT/share/opencascade/src/XSTEPResource
export CSF_XmlOcafResource=$CASROOT/share/opencascade/src/XmlOcafResource
export CSF_MIGRATION_TYPES=$CASROOT/share/opencascade/src/StdResource/MigrationSheet.txt

export TCLLIBPATH=$TCLHOME/lib64

export TCLLIBPATH=$TCLHOME/lib64
export TCL_LIBRARY=$TCLLIBPATH/tcl8.5
export TK_LIBRARY=$TCLLIBPATH/tk8.5
export TCLX_LIBRARY=$TCLLIBPATH/tclx8.4
export TCLLIBPATH="$TCLHOME/bin $TCLHOME/lib64 $TCL_LIBRARY $TK_LIBRARY $TCLX_LIBRARY"
